Package org.postgresql.copy

# Interface CopyDual

All Superinterfaces:
  `CopyIn`, `CopyOperation`, `CopyOut`

All Known Implementing Classes:
  `CopyDualImpl`

public interface CopyDual extends CopyIn, CopyOut
Bidirectional via copy stream protocol. Via bidirectional copy protocol work PostgreSQL replication.

See Also:
  - `CopyIn`
  - `CopyOut`

## Method Summary

### Methods inherited from interface org.postgresql.copy.CopyIn

`endCopy, flushCopy, writeToCopy, writeToCopy`

### Methods inherited from interface org.postgresql.copy.CopyOperation

`cancelCopy, getFieldCount, getFieldFormat, getFormat, getHandledRowCount, isActive`

### Methods inherited from interface org.postgresql.copy.CopyOut

`readFromCopy, readFromCopy`